> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neynar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# fetchUserInteractions

User interactions

> **Group:** Agent APIs

Use this when you need: **User interactions**.

## Usage

```ts theme={"system"}
import { NeynarAPIClient, Configuration } from "@neynar/nodejs-sdk";

const client = new NeynarAPIClient(
  new Configuration({ apiKey: "YOUR_NEYNAR_API_KEY" })
);

const res = await client.fetchUserInteractions({
  fids: "example", // Comma separated list of two FIDs
  // type: [], 
});
console.log(res);
```

## Parameters

| Parameter | Type                                   | Required | Description                      |
| --------- | -------------------------------------- | :------: | -------------------------------- |
| `fids`    | `string`                               |     ✅    | Comma separated list of two FIDs |
| `type`    | `Array<FetchUserInteractionsTypeEnum>` |     ❌    | -                                |

## Response

Returns a `RequestArgs` object.

## Error Handling

```ts theme={"system"}
try {
  const res = await client.fetchUserInteractions({
    fids: "example"
  });
  // use res
} catch (err) {
  // Axios/HTTP errors, invalid params, auth issues, etc.
  console.error(err);
}
```

## Related API Reference

📖 **API Reference:** [fetchUserInteractions](/reference/fetch-user-interactions)

For detailed information about the HTTP endpoint, request/response schemas, and additional examples, see the complete API documentation.

## Tips

* Provide a **viewerFid** when supported to respect mutes/blocks and include `viewer_context`.
* Keep requests scoped (e.g., use `limit`) to improve latency.
* Cache results where sensible.


## Related topics

- [User interactions](/reference/fetch-user-interactions.md)
- [Frame Interactions](/docs/how-to-handle-frame-interactions-with-the-neynar-api.md)
- [Replies and recasts](/reference/fetch-replies-and-recasts-for-user.md)
- [Cast Quotes](/reference/fetch-cast-quotes.md)
- [Best friends](/reference/best-friends.md)
